Package org.h2.engine

# Class Constants

java.lang.Object
org.h2.engine.Constants

public class Constants extends Object
Constants are fixed values that are used in the whole database code.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALLOW_LITERALS_ALL`
Constant meaning both numbers and text is allowed in SQL statements.
`static final int`
`ALLOW_LITERALS_NONE`
Constant meaning no literals are allowed in SQL statements.
`static final int`
`ALLOW_LITERALS_NUMBERS`
Constant meaning only numbers are allowed in SQL statements (but no texts).
`static final boolean`
`BLOB_SEARCH`
Whether searching in Blob values should be supported.
`static final String`
`BUILD_DATE`
The build date is updated for each public release.
`static final int`
`BUILD_ID`
Sequential version number.
`static final boolean`
`BUILD_SNAPSHOT`
Whether this is a snapshot version.
`static final String`
`BUILD_VENDOR_AND_VERSION`
If H2 is compiled to be included in a product, this should be set to a unique vendor id (to distinguish from official releases).
`static final int`
`CACHE_MIN_RECORDS`
The minimum number of entries to keep in the cache.
`static final String`
`CACHE_TYPE_DEFAULT`
The default cache type.
`static final String`
`CLUSTERING_DISABLED`
The value of the cluster setting if clustering is disabled.
`static final String`
`CLUSTERING_ENABLED`
The value of the cluster setting if clustering is enabled (the actual value is checked later).
`static final String`
`CONN_URL_COLUMNLIST`
The database URL used when calling a function if only the column list should be returned.
`static final String`
`CONN_URL_INTERNAL`
The database URL used when calling a function if the data should be returned.
`static final int`
`COST_ROW_OFFSET`
The cost is calculated on rowcount + this offset, to avoid using the wrong or no index if the table contains no rows _currently_ (when preparing the statement)
`static final int`
`DEADLOCK_CHECK`
The number of milliseconds after which to check for a deadlock if locking is not successful.
`static final int`
`DEFAULT_HTTP_PORT`
The default port number of the HTTP server (for the H2 Console).
`static final int`
`DEFAULT_LOCK_MODE`
The default value for the LOCK_MODE setting.
`static final int`
`DEFAULT_MAX_LENGTH_INPLACE_LOB`
The default maximum length of an LOB that is stored with the record itself, and not in a separate place.
`static final int`
`DEFAULT_MAX_OPERATION_MEMORY`
The default for the setting MAX_OPERATION_MEMORY.
`static final int`
`DEFAULT_PAGE_SIZE`
The default page size to use for new databases.
`static final int`
`DEFAULT_RESULT_SET_CONCURRENCY`
The default result set concurrency for statements created with Connection.createStatement() or prepareStatement(String sql).
`static final int`
`DEFAULT_TCP_PORT`
The default port of the TCP server.
`static final int`
`DEFAULT_WRITE_DELAY`
The default delay in milliseconds before the transaction log is written.
`static final int`
`ENCRYPTION_KEY_HASH_ITERATIONS`
The password is hashed this many times to slow down dictionary attacks.
`static final int`
`FILE_BLOCK_SIZE`
The block of a file.
`static final String`
`FULL_VERSION`
The complete version number of this database, consisting of the major version, the minor version, the build id, and the build date.
`static final int`
`INFORMATION_SCHEMA_ID`
The identity of INFORMATION_SCHEMA.
`static final int`
`INITIAL_LOCK_TIMEOUT`
For testing, the lock timeout is smaller than for interactive use cases.
`static final int`
`IO_BUFFER_SIZE`
The block size for I/O operations.
`static final int`
`IO_BUFFER_SIZE_COMPRESS`
The block size used to compress data in the LZFOutputStream.
`static final int`
`LOCK_MODE_OFF`
The lock mode that means no locking is used at all.
`static final int`
`LOCK_MODE_READ_COMMITTED`
The lock mode that means read locks are acquired, but they are released immediately after the statement is executed.
`static final int`
`LOCK_MODE_TABLE`
The lock mode that means table level locking is used for reads and writes.
`static final int`
`LOCK_MODE_TABLE_GC`
The lock mode that means table level locking is used for reads and writes.
`static final int`
`LOCK_SLEEP`
The number of milliseconds to wait between checking the .lock.db file still exists once a database is locked.
`static final int`
`MAIN_SCHEMA_ID`
The identity of PUBLIC schema.
`static final int`
`MAX_ARRAY_CARDINALITY`
The maximum allowed cardinality of array.
`static final int`
`MAX_COLUMNS`
The maximum number of columns in a table, select statement or row value.
`static final int`
`MAX_IDENTIFIER_LENGTH`
The maximum allowed length of identifiers.
`static final int`
`MAX_NUMERIC_PRECISION`
The maximum allowed precision of numeric data types.
`static final int`
`MAX_PARAMETER_INDEX`
The highest possible parameter index.
`static final int`
`MAX_STRING_LENGTH`
The maximum allowed length for character string, binary string, and other data types based on them; excluding LOB data types.
`static final int`
`MEMORY_ARRAY`
The memory needed by an array.
`static final int`
`MEMORY_OBJECT`
The memory needed by a regular object with at least one field.
`static final int`
`MEMORY_POINTER`
The memory needed by a pointer.
`static final int`
`MEMORY_ROW`
The memory needed by a Row.
`static final int`
`MIN_WEB_ADMIN_PASSWORD_LENGTH`
The minimum number of characters in web admin password.
`static final int`
`PG_CATALOG_SCHEMA_ID`
The identity of pg_catalog schema.
`static final String`
`PG_VERSION`
Announced version for PgServer.
`static final String`
`PREFIX_INDEX`
The name prefix used for indexes that are not explicitly named.
`static final String`
`PREFIX_JOIN`
The name prefix used for synthetic nested join tables.
`static final String`
`PREFIX_PRIMARY_KEY`
The name prefix used for primary key constraints that are not explicitly named.
`static final String`
`PREFIX_QUERY_ALIAS`
The name prefix used for query aliases that are not explicitly named.
`static final String`
`PUBLIC_ROLE_NAME`
Every user belongs to this role.
`static final int`
`QUERY_STATISTICS_MAX_ENTRIES`
The maximum number of entries in query statistics.
`static final int`
`SALT_LEN`
The number of bytes in random salt that is used to hash passwords.
`static final String`
`SCHEMA_MAIN`
The name of the default schema.
`static final String`
`SCHEMA_PG_CATALOG`
The name of the pg_catalog schema.
`static final int`
`SELECTIVITY_DEFAULT`
The default selectivity (used if the selectivity is not calculated).
`static final int`
`SELECTIVITY_DISTINCT_COUNT`
The number of distinct values to keep in memory when running ANALYZE.
`static final String`
`SERVER_PROPERTIES_DIR`
The default directory name of the server properties file for the H2 Console.
`static final String`
`SERVER_PROPERTIES_NAME`
The name of the server properties file for the H2 Console.
`static final long`
`SLOW_QUERY_LIMIT_MS`
Queries that take longer than this number of milliseconds are written to the trace file with the level info.
`static final String`
`START_URL`
The database URL prefix of this database.
`static final String`
`SUFFIX_LOCK_FILE`
The file name suffix of file lock files that are used to make sure a database is open by only one process at any time.
`static final String`
`SUFFIX_MV_FILE`
The file name suffix of a MVStore file.
`static final String`
`SUFFIX_MV_STORE_NEW_FILE`
The file name suffix of a new MVStore file, used when compacting a store.
`static final String`
`SUFFIX_MV_STORE_TEMP_FILE`
The file name suffix of a temporary MVStore file, used when compacting a store.
`static final String`
`SUFFIX_OLD_DATABASE_FILE`
The file name suffix of a H2 version 1.1 database file.
`static final String`
`SUFFIX_TEMP_FILE`
The file name suffix of temporary files.
`static final String`
`SUFFIX_TRACE_FILE`
The file name suffix of trace files.
`static final int`
`TCP_PROTOCOL_VERSION_17`
The TCP protocol version number 17.
`static final int`
`TCP_PROTOCOL_VERSION_18`
The TCP protocol version number 18.
`static final int`
`TCP_PROTOCOL_VERSION_19`
The TCP protocol version number 19.
`static final int`
`TCP_PROTOCOL_VERSION_20`
The TCP protocol version number 20.
`static final int`
`TCP_PROTOCOL_VERSION_21`
The TCP protocol version number 21.
`static final int`
`TCP_PROTOCOL_VERSION_MAX_SUPPORTED`
Maximum supported version of TCP protocol.
`static final int`
`TCP_PROTOCOL_VERSION_MIN_SUPPORTED`
Minimum supported version of TCP protocol.
`static final int`
`THROTTLE_DELAY`
How often we check to see if we need to apply a throttling delay if SET THROTTLE has been used.
`static final int`
`TRANSACTION_SNAPSHOT`
SNAPSHOT isolation level of transaction.
`static final String`
`URL_FORMAT`
The database URL format in simplified Backus-Naur form.
`static final String`
`USER_PACKAGE`
The package name of user defined classes.
`static final String`
`VERSION`
The version of this product, consisting of major version, minor version, and build id.
`static final int`
`VERSION_MAJOR`
The major version of this database.
`static final int`
`VERSION_MINOR`
The minor version of this database.
`static final int`
`VIEW_COST_CACHE_MAX_AGE`
The maximum time in milliseconds to keep the cost of a view.
`static final int`
`VIEW_INDEX_CACHE_SIZE`
The name of the index cache that is used for temporary view (subqueries used as tables).

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BUILD_DATE

public static final String BUILD_DATE
The build date is updated for each public release.

See Also:
  - Constant Field Values

### BUILD_ID

public static final int BUILD_ID
Sequential version number. Even numbers are used for official releases, odd numbers are used for development builds.

See Also:
  - Constant Field Values

### BUILD_SNAPSHOT

public static final boolean BUILD_SNAPSHOT
Whether this is a snapshot version.

See Also:
  - Constant Field Values

### BUILD_VENDOR_AND_VERSION

public static final String BUILD_VENDOR_AND_VERSION
If H2 is compiled to be included in a product, this should be set to a unique vendor id (to distinguish from official releases). Additionally, a version number should be set to distinguish releases. Example: ACME_SVN1651_BUILD3

### TCP_PROTOCOL_VERSION_17

public static final int TCP_PROTOCOL_VERSION_17
The TCP protocol version number 17.

Since:
  1.4.197 (2018-03-18)
See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_18

public static final int TCP_PROTOCOL_VERSION_18
The TCP protocol version number 18.

Since:
  1.4.198 (2019-02-22)
See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_19

public static final int TCP_PROTOCOL_VERSION_19
The TCP protocol version number 19.

Since:
  1.4.200 (2019-10-14)
See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_20

public static final int TCP_PROTOCOL_VERSION_20
The TCP protocol version number 20.

Since:
  2.0.202 (2021-11-25)
See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_21

public static final int TCP_PROTOCOL_VERSION_21
The TCP protocol version number 21.

Since:
  2.3.230 (TODO)
See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_MIN_SUPPORTED

public static final int TCP_PROTOCOL_VERSION_MIN_SUPPORTED
Minimum supported version of TCP protocol.

See Also:
  - Constant Field Values

### TCP_PROTOCOL_VERSION_MAX_SUPPORTED

public static final int TCP_PROTOCOL_VERSION_MAX_SUPPORTED
Maximum supported version of TCP protocol.

See Also:
  - Constant Field Values

### VERSION_MAJOR

public static final int VERSION_MAJOR
The major version of this database.

See Also:
  - Constant Field Values

### VERSION_MINOR

public static final int VERSION_MINOR
The minor version of this database.

See Also:
  - Constant Field Values

### LOCK_MODE_OFF

public static final int LOCK_MODE_OFF
The lock mode that means no locking is used at all.

See Also:
  - Constant Field Values

### LOCK_MODE_READ_COMMITTED

public static final int LOCK_MODE_READ_COMMITTED
The lock mode that means read locks are acquired, but they are released immediately after the statement is executed.

See Also:
  - Constant Field Values

### LOCK_MODE_TABLE

public static final int LOCK_MODE_TABLE
The lock mode that means table level locking is used for reads and writes.

See Also:
  - Constant Field Values

### LOCK_MODE_TABLE_GC

public static final int LOCK_MODE_TABLE_GC
The lock mode that means table level locking is used for reads and writes. If a table is locked, System.gc is called to close forgotten connections.

See Also:
  - Constant Field Values

### ALLOW_LITERALS_ALL

public static final int ALLOW_LITERALS_ALL
Constant meaning both numbers and text is allowed in SQL statements.

See Also:
  - Constant Field Values

### ALLOW_LITERALS_NONE

public static final int ALLOW_LITERALS_NONE
Constant meaning no literals are allowed in SQL statements.

See Also:
  - Constant Field Values

### ALLOW_LITERALS_NUMBERS

public static final int ALLOW_LITERALS_NUMBERS
Constant meaning only numbers are allowed in SQL statements (but no texts).

See Also:
  - Constant Field Values

### TRANSACTION_SNAPSHOT

public static final int TRANSACTION_SNAPSHOT
SNAPSHOT isolation level of transaction.

See Also:
  - Constant Field Values

### BLOB_SEARCH

public static final boolean BLOB_SEARCH
Whether searching in Blob values should be supported.

See Also:
  - Constant Field Values

### CACHE_MIN_RECORDS

public static final int CACHE_MIN_RECORDS
The minimum number of entries to keep in the cache.

See Also:
  - Constant Field Values

### CACHE_TYPE_DEFAULT

public static final String CACHE_TYPE_DEFAULT
The default cache type.

See Also:
  - Constant Field Values

### CLUSTERING_DISABLED

public static final String CLUSTERING_DISABLED
The value of the cluster setting if clustering is disabled.

See Also:
  - Constant Field Values

### CLUSTERING_ENABLED

public static final String CLUSTERING_ENABLED
The value of the cluster setting if clustering is enabled (the actual value is checked later).

See Also:
  - Constant Field Values

### CONN_URL_COLUMNLIST

public static final String CONN_URL_COLUMNLIST
The database URL used when calling a function if only the column list should be returned.

See Also:
  - Constant Field Values

### CONN_URL_INTERNAL

public static final String CONN_URL_INTERNAL
The database URL used when calling a function if the data should be returned.

See Also:
  - Constant Field Values

### COST_ROW_OFFSET

public static final int COST_ROW_OFFSET
The cost is calculated on rowcount + this offset, to avoid using the wrong or no index if the table contains no rows _currently_ (when preparing the statement)

See Also:
  - Constant Field Values

### DEADLOCK_CHECK

public static final int DEADLOCK_CHECK
The number of milliseconds after which to check for a deadlock if locking is not successful.

See Also:
  - Constant Field Values

### DEFAULT_HTTP_PORT

public static final int DEFAULT_HTTP_PORT
The default port number of the HTTP server (for the H2 Console). This value is also in the documentation and in the Server javadoc.

See Also:
  - Constant Field Values

### DEFAULT_LOCK_MODE

public static final int DEFAULT_LOCK_MODE
The default value for the LOCK_MODE setting.

See Also:
  - Constant Field Values

### DEFAULT_MAX_LENGTH_INPLACE_LOB

public static final int DEFAULT_MAX_LENGTH_INPLACE_LOB
The default maximum length of an LOB that is stored with the record itself, and not in a separate place.

See Also:
  - Constant Field Values

### DEFAULT_MAX_OPERATION_MEMORY

public static final int DEFAULT_MAX_OPERATION_MEMORY
The default for the setting MAX_OPERATION_MEMORY.

See Also:
  - Constant Field Values

### DEFAULT_PAGE_SIZE

public static final int DEFAULT_PAGE_SIZE
The default page size to use for new databases.

See Also:
  - Constant Field Values

### DEFAULT_RESULT_SET_CONCURRENCY

public static final int DEFAULT_RESULT_SET_CONCURRENCY
The default result set concurrency for statements created with Connection.createStatement() or prepareStatement(String sql).

See Also:
  - Constant Field Values

### DEFAULT_TCP_PORT

public static final int DEFAULT_TCP_PORT
The default port of the TCP server. This port is also used in the documentation and in the Server javadoc.

See Also:
  - Constant Field Values

### DEFAULT_WRITE_DELAY

public static final int DEFAULT_WRITE_DELAY
The default delay in milliseconds before the transaction log is written.

See Also:
  - Constant Field Values

### ENCRYPTION_KEY_HASH_ITERATIONS

public static final int ENCRYPTION_KEY_HASH_ITERATIONS
The password is hashed this many times to slow down dictionary attacks.

See Also:
  - Constant Field Values

### FILE_BLOCK_SIZE

public static final int FILE_BLOCK_SIZE
The block of a file. It is also the encryption block size.

See Also:
  - Constant Field Values

### INITIAL_LOCK_TIMEOUT

public static final int INITIAL_LOCK_TIMEOUT
For testing, the lock timeout is smaller than for interactive use cases. This value could be increased to about 5 or 10 seconds.

See Also:
  - Constant Field Values

### IO_BUFFER_SIZE

public static final int IO_BUFFER_SIZE
The block size for I/O operations.

See Also:
  - Constant Field Values

### IO_BUFFER_SIZE_COMPRESS

public static final int IO_BUFFER_SIZE_COMPRESS
The block size used to compress data in the LZFOutputStream.

See Also:
  - Constant Field Values

### LOCK_SLEEP

public static final int LOCK_SLEEP
The number of milliseconds to wait between checking the .lock.db file still exists once a database is locked.

See Also:
  - Constant Field Values

### MAX_IDENTIFIER_LENGTH

public static final int MAX_IDENTIFIER_LENGTH
The maximum allowed length of identifiers.

See Also:
  - Constant Field Values

### MAX_COLUMNS

public static final int MAX_COLUMNS
The maximum number of columns in a table, select statement or row value.

See Also:
  - Constant Field Values

### MAX_STRING_LENGTH

public static final int MAX_STRING_LENGTH
The maximum allowed length for character string, binary string, and other data types based on them; excluding LOB data types.

This needs to be less than (2^31-8)/2 to avoid running into the limit on encoding data fields when storing rows.

See Also:
  - Constant Field Values

### MAX_NUMERIC_PRECISION

public static final int MAX_NUMERIC_PRECISION
The maximum allowed precision of numeric data types.

See Also:
  - Constant Field Values

### MAX_ARRAY_CARDINALITY

public static final int MAX_ARRAY_CARDINALITY
The maximum allowed cardinality of array.

See Also:
  - Constant Field Values

### MAX_PARAMETER_INDEX

public static final int MAX_PARAMETER_INDEX
The highest possible parameter index.

See Also:
  - Constant Field Values

### MEMORY_OBJECT

public static final int MEMORY_OBJECT
The memory needed by a regular object with at least one field.

See Also:
  - Constant Field Values

### MEMORY_ARRAY

public static final int MEMORY_ARRAY
The memory needed by an array.

See Also:
  - Constant Field Values

### MEMORY_POINTER

public static final int MEMORY_POINTER
The memory needed by a pointer.

See Also:
  - Constant Field Values

### MEMORY_ROW

public static final int MEMORY_ROW
The memory needed by a Row.

See Also:
  - Constant Field Values

### PREFIX_INDEX

public static final String PREFIX_INDEX
The name prefix used for indexes that are not explicitly named.

See Also:
  - Constant Field Values

### PREFIX_JOIN

public static final String PREFIX_JOIN
The name prefix used for synthetic nested join tables.

See Also:
  - Constant Field Values

### PREFIX_PRIMARY_KEY

public static final String PREFIX_PRIMARY_KEY
The name prefix used for primary key constraints that are not explicitly named.

See Also:
  - Constant Field Values

### PREFIX_QUERY_ALIAS

public static final String PREFIX_QUERY_ALIAS
The name prefix used for query aliases that are not explicitly named.

See Also:
  - Constant Field Values

### PUBLIC_ROLE_NAME

public static final String PUBLIC_ROLE_NAME
Every user belongs to this role.

See Also:
  - Constant Field Values

### SALT_LEN

public static final int SALT_LEN
The number of bytes in random salt that is used to hash passwords.

See Also:
  - Constant Field Values

### INFORMATION_SCHEMA_ID

public static final int INFORMATION_SCHEMA_ID
The identity of INFORMATION_SCHEMA.

See Also:
  - Constant Field Values

### MAIN_SCHEMA_ID

public static final int MAIN_SCHEMA_ID
The identity of PUBLIC schema.

See Also:
  - Constant Field Values

### SCHEMA_MAIN

public static final String SCHEMA_MAIN
The name of the default schema.

See Also:
  - Constant Field Values

### PG_CATALOG_SCHEMA_ID

public static final int PG_CATALOG_SCHEMA_ID
The identity of pg_catalog schema.

See Also:
  - Constant Field Values

### SCHEMA_PG_CATALOG

public static final String SCHEMA_PG_CATALOG
The name of the pg_catalog schema.

See Also:
  - Constant Field Values

### SELECTIVITY_DEFAULT

public static final int SELECTIVITY_DEFAULT
The default selectivity (used if the selectivity is not calculated).

See Also:
  - Constant Field Values

### SELECTIVITY_DISTINCT_COUNT

public static final int SELECTIVITY_DISTINCT_COUNT
The number of distinct values to keep in memory when running ANALYZE.

See Also:
  - Constant Field Values

### SERVER_PROPERTIES_DIR

public static final String SERVER_PROPERTIES_DIR
The default directory name of the server properties file for the H2 Console.

See Also:
  - Constant Field Values

### SERVER_PROPERTIES_NAME

public static final String SERVER_PROPERTIES_NAME
The name of the server properties file for the H2 Console.

See Also:
  - Constant Field Values

### SLOW_QUERY_LIMIT_MS

public static final long SLOW_QUERY_LIMIT_MS
Queries that take longer than this number of milliseconds are written to the trace file with the level info.

See Also:
  - Constant Field Values

### START_URL

public static final String START_URL
The database URL prefix of this database.

See Also:
  - Constant Field Values

### SUFFIX_LOCK_FILE

public static final String SUFFIX_LOCK_FILE
The file name suffix of file lock files that are used to make sure a database is open by only one process at any time.

See Also:
  - Constant Field Values

### SUFFIX_OLD_DATABASE_FILE

public static final String SUFFIX_OLD_DATABASE_FILE
The file name suffix of a H2 version 1.1 database file.

See Also:
  - Constant Field Values

### SUFFIX_MV_FILE

public static final String SUFFIX_MV_FILE
The file name suffix of a MVStore file.

See Also:
  - Constant Field Values

### SUFFIX_MV_STORE_NEW_FILE

public static final String SUFFIX_MV_STORE_NEW_FILE
The file name suffix of a new MVStore file, used when compacting a store.

See Also:
  - Constant Field Values

### SUFFIX_MV_STORE_TEMP_FILE

public static final String SUFFIX_MV_STORE_TEMP_FILE
The file name suffix of a temporary MVStore file, used when compacting a store.

See Also:
  - Constant Field Values

### SUFFIX_TEMP_FILE

public static final String SUFFIX_TEMP_FILE
The file name suffix of temporary files.

See Also:
  - Constant Field Values

### SUFFIX_TRACE_FILE

public static final String SUFFIX_TRACE_FILE
The file name suffix of trace files.

See Also:
  - Constant Field Values

### THROTTLE_DELAY

public static final int THROTTLE_DELAY
How often we check to see if we need to apply a throttling delay if SET THROTTLE has been used.

See Also:
  - Constant Field Values

### URL_FORMAT

public static final String URL_FORMAT
The database URL format in simplified Backus-Naur form.

See Also:
  - Constant Field Values

### USER_PACKAGE

public static final String USER_PACKAGE
The package name of user defined classes.

See Also:
  - Constant Field Values

### VIEW_COST_CACHE_MAX_AGE

public static final int VIEW_COST_CACHE_MAX_AGE
The maximum time in milliseconds to keep the cost of a view. 10000 means 10 seconds.

See Also:
  - Constant Field Values

### VIEW_INDEX_CACHE_SIZE

public static final int VIEW_INDEX_CACHE_SIZE
The name of the index cache that is used for temporary view (subqueries used as tables).

See Also:
  - Constant Field Values

### QUERY_STATISTICS_MAX_ENTRIES

public static final int QUERY_STATISTICS_MAX_ENTRIES
The maximum number of entries in query statistics.

See Also:
  - Constant Field Values

### MIN_WEB_ADMIN_PASSWORD_LENGTH

public static final int MIN_WEB_ADMIN_PASSWORD_LENGTH
The minimum number of characters in web admin password.

See Also:
  - Constant Field Values

### PG_VERSION

public static final String PG_VERSION
Announced version for PgServer.

See Also:
  - Constant Field Values

### VERSION

public static final String VERSION
The version of this product, consisting of major version, minor version, and build id.

### FULL_VERSION

public static final String FULL_VERSION
The complete version number of this database, consisting of the major version, the minor version, the build id, and the build date.